#include <cstdlib>
#include <cstdio>
#include <cstring>
#include <iostream>
#include <cfloat>

#include "myio.h"
#include "mylib.h"
#include "processing.h"

using namespace std;

int main(int argc,char **argv){
    myio_init(argc,argv);

    int nt,ncmp,noff;
    float ot,dt,ocmp,dcmp,ooff,doff;
    from_header("cmp_gather","n1",nt,"o1",ot,"d1",dt);
    from_header("cmp_gather","n2",noff,"o2",ooff,"d2",doff);
    from_header("cmp_gather","n3",ncmp,"o3",ocmp,"d3",dcmp);
    float *gather=new float[nt*noff*ncmp];
    read("cmp_gather",gather,nt*noff*ncmp);
    
    float *vrms=new float[nt*ncmp];
    read("vrms",vrms,nt*ncmp);

    float *etarms=new float[nt*ncmp];
    read("etarms",etarms,nt*ncmp);

    float *dataout=new float[nt*noff*ncmp]();
   
    float *offset=new float[noff];
    for(int ioff=0;ioff<noff;ioff++) offset[ioff]=ioff*doff+ooff;
    
    for(int icmp=0;icmp<ncmp;icmp++){
        fprintf(stderr,"nmo for cmp %d\n",icmp);
        aniso_nmo(dataout+icmp*nt*noff,gather+icmp*nt*noff,vrms+icmp*nt,etarms+icmp*nt,nt,ot,dt,offset,noff);
        for(int ioff=0;ioff<noff;ioff++){
            int nzero=(offset[ioff]/3500.-ot)/dt+1;
            memset(dataout+ioff*nt+icmp*nt*noff,0,nzero*sizeof(float));
        }
    }
    
    write("dataout",dataout,nt*noff*ncmp);
    to_header("dataout","n1",nt,"o1",0.,"d1",dt);
    to_header("dataout","n2",noff,"o2",ooff,"d2",doff);
    to_header("dataout","n3",ncmp,"o3",ocmp,"d3",dcmp);

    delete gather;
    delete []vrms;
    delete []etarms;
    delete []dataout;
    delete []offset;

    myio_close();
    return 0;
}
