//Following musa1 in sep150
#include <cstdio>
#include <cstdlib>
#include <cmath>
#include <iostream>
#include "mylib.h"
#include "wave.h"
#include "solvers.h"

float line_search1(float *v,float *eps,float *del,float &f,float *ggv,float *ggeps,float *ggdel,float f0,const float *gv,const float *geps,const float *gdel,const float *pv,const float *peps,const float *pdel,float v0,float eps0,float del0,float a0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m){
 float a;
 
 int nnx=nx+2*npad,nnz=nz+2*npad; 
 
 float g0=dot_product(gv,pv,nnx*nnz)+dot_product(geps,peps,nnx*nnz)+dot_product(gdel,pdel,nnx*nnz);
 float aold=0.,anew=a0,fold=f0,fnew,gold=g0,gnew;

 float *tv=new float[nnx*nnz]();
 float *teps=new float[nnx*nnz]();
 float *tdel=new float[nnx*nnz]();
 
 for(int i=0;i<NITER_LS;++i){
  lin_comb(tv,1.,v,anew,pv,nnx*nnz);
  lin_comb(teps,1.,eps,anew,peps,nnx*nnz);
  lin_comb(tdel,1.,del,anew,pdel,nnx*nnz);
  
  fnew=objFuncGradientVEpsDel(ggv,ggeps,ggdel,d0,tv,teps,tdel,v0,eps0,del0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
 
  if(isnan(fnew) || isinf(fnew)) {
   anew*=0.2;
   continue;
  }

  fprintf(stderr,"line search iteration %d, new step length %.10f, new obj func %.10f\n",i,anew,fnew);
  
  gnew=dot_product(ggv,pv,nnx*nnz)+dot_product(ggeps,peps,nnx*nnz)+dot_product(ggdel,pdel,nnx*nnz);
  
  if(fnew>f0+c1*anew*g0 || (fnew>=fold && i>0)){
   a=zoom1(v,eps,del,f,ggv,ggeps,ggdel,aold,anew,fold,fnew,gold,gnew,f0,g0,pv,peps,pdel,v0,eps0,del0,d0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
   delete []tv;delete []teps;delete []tdel;
   return a;
  }

  if(fabs(gnew)<=-c2*g0){
   fprintf(stderr,"found step length after %d line searches\n",i);
   a=anew;f=fnew;
   memcpy(v,tv,nnx*nnz*sizeof(float));
   memcpy(eps,teps,nnx*nnz*sizeof(float));
   memcpy(del,tdel,nnx*nnz*sizeof(float));
   delete []tv;delete []teps;delete []tdel;
   return a;
  }
  
  if(gnew>=0.){
   a=zoom1(v,eps,del,f,ggv,ggeps,ggdel,anew,aold,fnew,fold,gnew,gold,f0,g0,pv,peps,pdel,v0,eps0,del0,d0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
   delete []tv;delete []teps;delete []tdel;
   return a;
  }

  aold=anew;
  fold=fnew;
  gold=gnew;
  anew*=2.;
 }
 
 fprintf(stderr,"line search fails in %d tries\n",NITER_LS);

 a=anew;f=fnew;
 
 memcpy(v,tv,nnx*nnz*sizeof(float));
 memcpy(eps,teps,nnx*nnz*sizeof(float));
 memcpy(del,tdel,nnx*nnz*sizeof(float));

 delete []tv;delete []teps;delete []tdel;

 return a;
}

float line_search1(float *v,float *eps,float *del,float &f,float *ggv,float *ggeps,float *ggdel,float f0,const float *gv,const float *geps,const float *gdel,const float *pv,const float *peps,const float *pdel,float v0,float eps0,float del0,float a0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m,float maxstep){
 float a;
 
 int nnx=nx+2*npad,nnz=nz+2*npad; 
 
 float g0=dot_product(gv,pv,nnx*nnz)+dot_product(geps,peps,nnx*nnz)+dot_product(gdel,pdel,nnx*nnz);
 float aold=0.,anew,fold=f0,fnew,gold=g0,gnew;
 if(a0<1e-10) anew=maxstep;
 else anew=min(a0,maxstep);

 float *tv=new float[nnx*nnz]();
 float *teps=new float[nnx*nnz]();
 float *tdel=new float[nnx*nnz]();
 
 for(int i=0;i<NITER_LS;++i){
  lin_comb(tv,1.,v,anew,pv,nnx*nnz);
  lin_comb(teps,1.,eps,anew,peps,nnx*nnz);
  lin_comb(tdel,1.,del,anew,pdel,nnx*nnz);
  
  fnew=objFuncGradientVEpsDel(ggv,ggeps,ggdel,d0,tv,teps,tdel,v0,eps0,del0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
 
  if(isnan(fnew) || isinf(fnew)) {
   anew*=0.2;
   continue;
  }

  fprintf(stderr,"line search iteration %d, new step length %.10f, new obj func %.10f\n",i,anew,fnew);
  
  gnew=dot_product(ggv,pv,nnx*nnz)+dot_product(ggeps,peps,nnx*nnz)+dot_product(ggdel,pdel,nnx*nnz);
  
  if(fnew>f0+c1*anew*g0 || (fnew>=fold && i>0)){
   a=zoom1(v,eps,del,f,ggv,ggeps,ggdel,aold,anew,fold,fnew,gold,gnew,f0,g0,pv,peps,pdel,v0,eps0,del0,d0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
   delete []tv;delete []teps;delete []tdel;
   return a;
  }

  if(fabs(gnew)<=-c2*g0){
   fprintf(stderr,"found step length after %d line searches\n",i);
   a=anew;f=fnew;
   memcpy(v,tv,nnx*nnz*sizeof(float));
   memcpy(eps,teps,nnx*nnz*sizeof(float));
   memcpy(del,tdel,nnx*nnz*sizeof(float));
   delete []tv;delete []teps;delete []tdel;
   return a;
  }
  
  if(gnew>=0.){
   a=zoom1(v,eps,del,f,ggv,ggeps,ggdel,anew,aold,fnew,fold,gnew,gold,f0,g0,pv,peps,pdel,v0,eps0,del0,d0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
   delete []tv;delete []teps;delete []tdel;
   return a;
  }

  if(anew==maxstep) break;
  else{
   aold=anew;
   if(fabs((fnew-fold)/fold)<0.01) anew=maxstep;
   else anew=min(2*anew,maxstep);
   fold=fnew;
   gold=gnew;
  }
 }
 
 if(anew==maxstep) fprintf(stderr,"at max step\n");
 else fprintf(stderr,"line search fails in %d tries\n",NITER_LS);

 a=anew;f=fnew;
 
 memcpy(v,tv,nnx*nnz*sizeof(float));
 memcpy(eps,teps,nnx*nnz*sizeof(float));
 memcpy(del,tdel,nnx*nnz*sizeof(float));

 delete []tv;delete []teps;delete []tdel;

 return a;
}

float zoom1(float *v,float *eps,float *del,float &f,float *ggv,float *ggeps,float *ggdel,float low,float high,float flow,float fhi,float glow,float ghi,float f0,float g0,const float *pv,const float *peps,const float *pdel,float v0,float eps0,float del0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m){
 float atr;
 
 int nnx=nx+2*npad,nnz=nz+2*npad; 
 
 float *vtr=new float[nnx*nnz]();
 float *epstr=new float[nnx*nnz]();
 float *deltr=new float[nnx*nnz]();
 
 float low2=high,flow2=fhi,glow2=ghi;

 float ftr,gtr;
 int i=0;
 while(low!=high && i<NITER_ZOOM){
  fprintf(stderr,"zoom iteration %d alow %.10f ahigh %.10f\n",i,low,high);
  ++i;
  
  float bisect=0.5*(low+high);
  
  float d1=glow+glow2-3.*(flow-flow2)/(low-low2);
  float d2=sign(low2-low)*sqrt(d1*d1-glow*glow2);
  float interp=low2-(low2-low)*(glow2+d2-d1)/(glow2-glow+2.*d2);
  
  int in_int=0;
  if(isfinite(interp)){
   if(low<=bisect){
    if(interp>=low && interp<=bisect) in_int=1;
   }
   else{
    if(interp>=bisect && interp<=low) in_int=1;
   }
  }
  
  if(in_int) atr=interp;
  else atr=bisect;

  lin_comb(vtr,1.,v,atr,pv,nnx*nnz);
  lin_comb(epstr,1.,eps,atr,peps,nnx*nnz);
  lin_comb(deltr,1.,del,atr,pdel,nnx*nnz);

  ftr=objFuncGradientVEpsDel(ggv,ggeps,ggdel,d0,vtr,epstr,deltr,v0,eps0,del0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
  
  fprintf(stderr,"trial step length %.10f, trial obj func %.10f\n",atr,ftr);
  
  gtr=dot_product(ggv,pv,nnx*nnz)+dot_product(ggeps,peps,nnx*nnz)+dot_product(ggdel,pdel,nnx*nnz);
  
  if(ftr>f0+c1*atr*g0 || ftr>=flow){
   high=atr;fhi=ftr;ghi=gtr;
   low2=atr;flow2=ftr;glow2=gtr;
  }
  else{
   if(fabs(gtr)<=-c2*g0){
    fprintf(stderr,"found step length after %d steps of zoom\n",i);
    memcpy(v,vtr,nnx*nnz*sizeof(float));
    memcpy(eps,epstr,nnx*nnz*sizeof(float));
    memcpy(del,deltr,nnx*nnz*sizeof(float));
    
    delete []vtr;delete []epstr;delete []deltr;

    f=ftr;
    return atr;
   }
   
   if(gtr*(high-low)>=0.){
    high=low;
	fhi=flow;
	ghi=glow;
   }

   low=atr;flow=ftr;glow=gtr;
   low2=high;flow2=fhi;glow2=ghi;
  }
 }
 
 fprintf(stderr,"zoom fails in %d tries\n",i);
 
 memcpy(v,vtr,nnx*nnz*sizeof(float));
 memcpy(eps,epstr,nnx*nnz*sizeof(float));
 memcpy(del,deltr,nnx*nnz*sizeof(float));
 
 delete []vtr;delete []epstr;delete []deltr;

 f=ftr;
 return atr;
}

