//Following musa1 in sep150
#include <cstdio>
#include <cstdlib>
#include "mylib.h"
#include "myio.h"
#include "wave.h"
#include "solvers.h"

void nlcg1(float *v,float *eps,float *del,float v0,float eps0,float del0,int niter,float a0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom){ 
 int nnx=nx+2*npad,nnz=nz+2*npad;
 
 float *f=new float[niter]();
 float *g=new float[niter]();

 float *gv=new float[nnx*nnz]();
 float *geps=new float[nnx*nnz]();
 float *gdel=new float[nnx*nnz]();
 
 float *m=new float[nnx*nnz]();
 
 f[0]=objFuncGradientVEpsDel(gv,geps,gdel,d0,v,eps,del,v0,eps0,del0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);
 
 g[0]=dot_product(gv,gv,nnx*nnz)+dot_product(geps,geps,nnx*nnz)+dot_product(gdel,gdel,nnx*nnz);

 write("objfunc",f,1,"native_float");
 to_header("objfunc","n1",1,"o1",0.,"d1",1.);
 
 write("normg2",g,1,"native_float");
 to_header("normg2","n1",1,"o1",0.,"d1",1.);
 
 write("steplength",&a0,1,"native_float");
 to_header("steplength","n1",1,"o1",0.,"d1",1.);
 
 float *pv=new float[nnx*nnz](); mynegate(pv,gv,nnx*nnz);
 float *peps=new float[nnx*nnz](); mynegate(peps,geps,nnx*nnz);
 float *pdel=new float[nnx*nnz](); mynegate(pdel,gdel,nnx*nnz);
  
 write("iv",v,nnx*nnz,"native_float");
 write("ieps",eps,nnx*nnz,"native_float");
 write("idel",del,nnx*nnz,"native_float");
 write("check",m,nnx*nnz,"native_float");

 to_header("iv","n1",nnx,"o1",-dx*npad,"d1",dx);
 to_header("iv","n2",nnz,"o2",-dz*npad,"d2",dz);
 to_header("iv","n3",1,"o3",0.,"d3",1.);
 to_header("ieps","n1",nnx,"o1",-dx*npad,"d1",dx);
 to_header("ieps","n2",nnz,"o2",-dz*npad,"d2",dz);
 to_header("ieps","n3",1,"o3",0.,"d3",1.);
 to_header("idel","n1",nnx,"o1",-dx*npad,"d1",dx);
 to_header("idel","n2",nnz,"o2",-dz*npad,"d2",dz);
 to_header("idel","n3",1,"o3",0.,"d3",1.);
 to_header("check","n1",nnx,"o1",-dx*npad,"d1",dx);
 to_header("check","n2",nnz,"o2",-dz*npad,"d2",dz);
 to_header("check","n3",1,"o3",0.,"d3",1.);

 float *ggv=new float[nnx*nnz]();
 float *ggeps=new float[nnx*nnz]();
 float *ggdel=new float[nnx*nnz]();
 
 for(int iter=1;iter<niter;++iter){
  fprintf(stderr,"iteration %d, obj func %.10f, grad2 %.10f\n",iter,f[iter-1],g[iter-1]);

  float pTg=dot_product(pv,gv,nnx*nnz)+dot_product(peps,geps,nnx*nnz)+dot_product(pdel,gdel,nnx*nnz);
  if(pTg>=0.){
   fprintf(stderr,"Search direction is not a decent direction. Take steepest decent.\n");
   mynegate(pv,gv,nnx*nnz);
   mynegate(peps,geps,nnx*nnz);
   mynegate(pdel,gdel,nnx*nnz);
  }

//  float maxstep=max_step1(v,eps,del,v0,eps0,del0,pv,peps,pdel,nnx*nnz);
//  fprintf(stderr,"max step is %.10f\n",maxstep);
//
//  if(maxstep<1e-16) break;
//
//  float a=line_search1(v,eps,del,f[iter],ggv,ggeps,ggdel,f[iter-1],gv,geps,gdel,pv,peps,pdel,v0,eps0,del0,a0,d0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,wbottom,m,maxstep);

  float a=line_search1(v,eps,del,f[iter],ggv,ggeps,ggdel,f[iter-1],gv,geps,gdel,pv,peps,pdel,v0,eps0,del0,a0,d0,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot,wbottom,m);

  a0=a;
  fprintf(stderr,"step length %.10f\n",a);

  g[iter]=dot_product(ggv,ggv,nnx*nnz)+dot_product(ggeps,ggeps,nnx*nnz)+dot_product(ggdel,ggdel,nnx*nnz);
  
  float temp=dot_product(ggv,gv,nnx*nnz)+dot_product(ggeps,geps,nnx*nnz)+dot_product(ggdel,gdel,nnx*nnz);

  float bPR=(g[iter]-temp)/g[iter-1];
  float bFR=g[iter]/g[iter-1];
  float b;
  if(bPR<-bFR) b=-bFR;
  else if(bPR>bFR) b=bFR;
  else b=bPR;
  fprintf(stderr,"b %.10f\n",b);

  lin_comb(pv,-1.,ggv,b,pv,nnx*nnz); 
  lin_comb(peps,-1.,ggeps,b,peps,nnx*nnz); 
  lin_comb(pdel,-1.,ggdel,b,pdel,nnx*nnz); 

  float *pt;
  pt=gv;gv=ggv;ggv=pt;
  pt=geps;geps=ggeps;ggeps=pt;
  pt=gdel;gdel=ggdel;ggdel=pt;

  write("objfunc",f+iter,1,"native_float",std::ios_base::app);
  to_header("objfunc","n1",iter+1,"o1",0.,"d1",1.);
  
  write("normg2",g+iter,1,"native_float",std::ios_base::app);
  to_header("normg2","n1",iter+1,"o1",0.,"d1",1.);
  
  write("steplength",&a0,1,"native_float",std::ios_base::app);
  to_header("steplength","n1",iter+1,"o1",0.,"d1",1.);
  
  write("iv",v,nnx*nnz,"native_float",std::ios_base::app);
  to_header("iv","n3",iter+1,"o3",0.,"d3",1.);
  write("ieps",eps,nnx*nnz,"native_float",std::ios_base::app);
  to_header("ieps","n3",iter+1,"o3",0.,"d3",1.);
  write("idel",del,nnx*nnz,"native_float",std::ios_base::app);
  to_header("idel","n3",iter+1,"o3",0.,"d3",1.);
  write("check",m,nnx*nnz,"native_float",std::ios_base::app);
  to_header("check","n3",iter+1,"o3",0.,"d3",1.);
 }
 
 delete []f;delete []g;
 delete[] m;
 delete []gv;delete []geps;delete []gdel;
 delete []pv;delete []peps;delete []pdel;
 delete []ggv;delete []ggeps;delete []ggdel;
 return;
}


