#include <omp.h>
#include <cstdio>
#include "mylib.h"
#include "wave.h"
#include "check.h"
#include "conversions.h"
#include "kernels.h"

float objFuncGradientCij(float *gc11,float *gc13,float *gc33,const float *d0,float *c11,float *c13,float *c33,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m){
 int nnx=nx+2*npad,nnz=nz+2*npad;
 checkCij(c11,c13,c33,nnx*nnz,m);
 float *tc11=new float[nnx*nnz](); scale(tc11,c11,1e6,nnx*nnz);
 float *tc13=new float[nnx*nnz](); scale(tc13,c13,1e6,nnx*nnz);
 float *tc33=new float[nnx*nnz](); scale(tc33,c33,1e6,nnx*nnz);
 double val=objFuncGradient_f(gc11,gc13,gc33,d0,tc11,tc13,tc33,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot);
 int n=npad+wbottom/dz+1;
 memset(gc11,0,n*nnx*sizeof(float)); scale(gc11,gc11,1e6,nnx*nnz);
 memset(gc13,0,n*nnx*sizeof(float)); scale(gc13,gc13,1e6,nnx*nnz);
 memset(gc33,0,n*nnx*sizeof(float)); scale(gc33,gc33,1e6,nnx*nnz);
 delete []tc11;delete []tc13;delete []tc33;
 return val; 
}

float objFuncGradientVEpsDel(float *gv,float *geps,float *gdel,const float *d0,float *v,float *eps,float *del,float v0,float eps0,float del0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m){
 int nnx=nx+2*npad,nnz=nz+2*npad;
 checkEpsDel(eps,del,eps0,del0,nnx*nnz,m);
 float *c11=new float[nnx*nnz]();
 float *c13=new float[nnx*nnz]();
 float *c33=new float[nnx*nnz]();
 float *gc11=new float[nnx*nnz]();
 float *gc13=new float[nnx*nnz]();
 float *gc33=new float[nnx*nnz]();
 VEpsDel2Cij(c11,c13,c33,v,eps,del,v0,eps0,del0,nnx*nnz);
 double val=objFuncGradient_f(gc11,gc13,gc33,d0,c11,c13,c33,wavelet,sloc,ns,rloc,nr,taper,nx,nz,nt,npad,dx,dz,dt,rate,ot);
 GradCij2GradVEpsDel(gv,geps,gdel,gc11,gc13,gc33,v,eps,del,v0,eps0,del0,nnx*nnz);
 int n=npad+wbottom/dz+1;
 memset(gv,0,n*nnx*sizeof(float));
 memset(geps,0,n*nnx*sizeof(float));
 memset(gdel,0,n*nnx*sizeof(float));
 delete []c11;delete []c13;delete []c33;
 delete []gc11;delete []gc13;delete []gc33;
 return val; 
}

