#include "myio.h"
#include <cstring>
#include <cfloat>

using namespace std;

int main(int argc,char **argv){
    myio_init(argc,argv);
    
    int nx,nz;
    float ox,oz,dx,dz;
    get_param("nx",nx,"ox",ox,"dx",dx);
    get_param("nz",nz,"oz",oz,"dz",dz);

    float *eta=new float[nx*nz];
    read("eta",eta,nx*nz);

    memset(eta,0,5*nx*sizeof(float));
    for(int i=0;i<nx*nz;i++){
        if(eta[i]<0.) eta[i]=FLT_EPSILON;
    }

    write("etaout",eta,nx*nz);
    to_header("etaout","n1",nx,"o1",ox,"d1",dx);
    to_header("etaout","n2",nz,"o2",oz,"d2",dz);

    delete []eta;

    myio_close();
    return 0;
}
