#include <cstdio>
#include "myio.h"
#include "mylib.h"

using namespace std;

int main(int argc,char **argv){
    myio_init(argc,argv);
    
    int nx,nz,na;
    float dx,dz,da,ox,oz,oa;
    from_header("adcig","n1",nz,"o1",oz,"d1",dz);
    from_header("adcig","n2",na,"o2",oa,"d2",da);
    from_header("adcig","n3",nx,"o3",ox,"d3",dx);
    
    float *adcig=new float[nz*na*nx]();
    read("adcig",adcig,nz*na*nx);
   
    int halfx,halfz;
    get_param("halfx",halfx,"halfz",halfz);

    float *sem=new float[nz*nx]();
    
    for(int ix=halfx;ix<nx-halfx;ix++){
        for(int iz=halfz;iz<nz-halfz;iz++){
            double a=0.,b=0.;
            for(int ihx=ix-halfx;ihx<=ix+halfx;ihx++){
                for(int ihz=iz-halfz;ihz<=iz+halfz;ihz++){
                    double temp=0.;
                    for(int ia=0;ia<na;ia++){
                        temp+=adcig[ihz+ia*nz+ihx*nz*na];
                        b+=adcig[ihz+ia*nz+ihx*nz*na]*adcig[ihz+ia*nz+ihx*nz*na];
                    }
                    a+=temp*temp;
                }
            }
            sem[iz+ix*nz]=a/b/na;
        }
    }
    
    write("sem",sem,nz*nx);
    to_header("sem","n1",nz,"o1",oz,"d1",dz);
    to_header("sem","n2",nx,"o2",ox,"d2",dx);
    
    delete []adcig;delete []sem;
    
    myio_close();
    return 0;
}
