#ifndef SOLVERS_H
#define SOLVERS_H

#define NITER_LS 10
#define NITER_ZOOM 10
#define NITER_CG 1000 

const float c1=1e-2;
const float c2=0.8;
const float beta1=0.9;
const float beta2=0.999;
const float epsilon=1e-8;

void nlcg1(float *v,float *eps,float *del,float v0,float eps0,float del0,int niter,float a0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom);

float line_search1(float *v,float *eps,float *del,float &f,float *ggv,float *ggeps,float *ggdel,float f0,const float *gv,const float *geps,const float *gdel,const float *pv,const float *peps,const float *pdel,float v0,float eps0,float del0,float a0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m);

float line_search1(float *v,float *eps,float *del,float &f,float *ggv,float *ggeps,float *ggdel,float f0,const float *gv,const float *geps,const float *gdel,const float *pv,const float *peps,const float *pdel,float v0,float eps0,float del0,float a0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m,float maxstep);

float zoom1(float *v,float *eps,float *del,float &f,float *ggv,float *ggeps,float *ggdel,float low,float high,float flow,float fhi,float glow,float ghi,float f0,float g0,const float *pv,const float *peps,const float *pdel,float v0,float eps0,float del0,const float *d0,const float *wavelet,const int *sloc,int ns,const int *rloc,int nr,const float *taper,int nx,int nz,int nt,int npad,float dx,float dz,float dt,float rate,float ot,float wbottom,float *m);

float max_step1(const float *v,const float *eps,const float *del,float v0,float eps0,float del0,float *pv,float *peps,float *pdel,size_t nnxyz);

#endif
